Bug 468125 - Consider upgrading to E version 1.0 - but delay if other packages need a delay
Summary: Consider upgrading to E version 1.0 - but delay if other packages need a delay
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: E
Version: 9
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: David A. Wheeler
QA Contact: Fedora Extras Quality Assurance
URL: http://www4.informatik.tu-muenchen.de...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-10-23 00:06 UTC by David A. Wheeler
Modified: 2009-07-14 14:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 14:07:43 UTC


Attachments (Terms of Use)

Description David A. Wheeler 2008-10-23 00:06:34 UTC
Description of problem:
Upstream has just released a new version of E, version 1.0 (Temi), at http://www4.informatik.tu-muenchen.de/~schulz/WORK/eprover.html

Currently Fedora has the previous version packaged.

One challenge: Some other programs may depend on the older version of E.  Wheeler is currently checking with the developers of haRVey, who are about to release a major new version, to see if they can use this new E, or if they need a small delay in the update.

If you know of a reason that E should (or should not) be updated to 1.0, please attach that information to this bug report.

NOTE: I'm the packager of E on Fedora.  I'm recording this bug on myself so that people who wonder "why hasn't E been updated to the latest and greatest" can find out, using the normal bug-tracking system.

Comment 1 Bug Zapper 2009-06-10 03:03:25 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Bug Zapper 2009-07-14 14:07:43 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.